Bug 1307760 - lzop: FTBFS in rawhide
lzop: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lzop (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:50 EST by Fedora Release Engineering
Modified: 2016-03-08 05:39 EST (History)
2 users (show)

See Also:
Fixed In Version: lzop-1.03-15.fc25, lzop-1.03-15.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-08 05:39:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (14.49 KB, text/plain)
2016-02-13 16:50 EST, Fedora Release Engineering
no flags Details
root.log (80.90 KB, text/plain)
2016-02-13 16:50 EST, Fedora Release Engineering
no flags Details
state.log (609 bytes, text/plain)
2016-02-13 16:50 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:50:42 EST
Your package lzop failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12834094

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:50:45 EST
Created attachment 1125341 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:50:47 EST
Created attachment 1125342 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:50:48 EST
Created attachment 1125343 [details]
state.log
Comment 4 Kamil Dudka 2016-02-15 06:50:16 EST
This is already fixed in Suse:

https://build.opensuse.org/source/Archiving/lzop/lzop-1.03-gcc6.patch?rev=666fa50a520eb7651ee3f7c125b03e78

I can confirm the above patch fixes the bug...
Comment 5 Jan Kurik 2016-02-24 09:53:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Kamil Dudka 2016-03-08 04:22:56 EST
Robert, have you had time to look at the patch referred in comment #4?
Comment 7 Robert Scheck 2016-03-08 05:39:12 EST
Kamil, I am very sorry, I didn't have a look to it. Unfortunately the URL you
mentioned above requires some kind of authentication. I guess the URL
https://build.opensuse.org/package/view_file/Archiving/lzop/lzop-1.03-gcc6.patch
is the same patch. Applied that one to the package - thank you for your effort,
the time and the reminder!

Note You need to log in before you can comment on or make changes to this bug.